program fjf219a;

CAUTION: This program may hang!

var s:string(100);

procedure foo;
begin
  var f:text;
  rewrite(f);
  writeln(f,'OK');
  reset(f);
  readln(f,s);
end;

begin
  foo;
  writeln(s)
end.
